var Generator = require('yeoman-generator');

module.exports = class extends Generator{
  collect() {
    return this.prompt([
      {
        type    : 'input',
        name    : 'model',
        message : 'Your model name'
      },
      {
        type    : 'input',
        name    : 'table',
        message : 'Your table name'
      },
    ]).then(function (answers) {
      var m = answers.model
      var t = answers.table
      this.fs.copyTpl(
        this.templatePath('model.php'),
        this.destinationPath("models/"+m+".php"),
        { model: m, table: t }
      )
    }.bind(this));
  }
};
