var Generator = require('yeoman-generator');

module.exports = class extends Generator{
  constructor(args,opts) {
    super(args,opts)
    //this.argument('appname', { type: String, required: true });
  }

  prebuild(){
    this.spawnCommandSync('mkdir',['storage'])
  }

  initializing() {
    //this.spawnCommandSync('mkdir',[this.appname])
    //this.destinationRoot(this.appname)
    this.fs.copyTpl(
      this.templatePath('Makefile'),
      this.destinationPath("Makefile"),
      {}
    )
    this.composeWith('expressive-app:logs');
    this.composeWith('expressive-app:local');
    this.composeWith('expressive-app:api');
    this.composeWith('expressive-app:relay');
    this.composeWith('expressive-app:site');
  }

  postbuild(){
    this.log("Your new app is ready. To start, run `make docker` followed by `make clean`.")
  }
}
